View Source

# module selenium-webdriver/firefox/profile

Profile management module. This module is considered internal; users should use `selenium-webdriver/firefox`.

## Functions

### decode(data)code »

Decodes a base64 encoded profile.

Parameters

data`string`

  The base64 encoded string.

Returns

`webdriver.promise.Promise`

  A promise for the path to the decoded profile directory.

### loadUserPrefs(f)code »

Parses a user.js file in a Firefox profile directory.

Parameters

f`string`

  Path to the file to parse.

Returns

`webdriver.promise.Promise`

  A promise for the parsed preferences as a JSON object. If the file does not exist, an empty object will be returned.

## Types

Profile

  Models a Firefox proifle directory for use with the FirefoxDriver.